Subject: Post-impressionist programming

From: Gilad Ben-Yossef <[email-masked]>
Date: Mon, 14 Aug 2000 16:16:34 +0300

Just got this on some other mailing list: ;-)

<>                      Translated from the Memoirs of
<>                          Jean Turing-VonNeuman
<>            A minor 19th century post-impressionist programmer
<> 
<> 
<> I will never forget that Spring, that day.  Paris had an air of
<> revolution.  The week before an exhibition of Seurat's listings had
<> caused a sensation.  In his unrelenting quest for simplicity he had
<> reduced all of programming to three machine instructions.  The
<> resulting 6,000 line bubble sort had shocked the critics.
<> 
<> My own recent efforts had been received poorly.  I had cut and
<> slashed through my programs, juxtaposing blocks of code in a way
<> that exposed the underlying intensity of the algorithm without
<> regard to convention or syntax.
<> 
<> "But it doesn't compile," they complained.
<> 
<> As if programming was about adhering to their primitive language
<> definitions.
<> 
<> As if it was my duty to live within the limits of their antiquated
<> and ordinary compilers.
<> 
<> So it was that I came that day to La Boite Bleue, seeking solace
<> and companionship.
<> 
<> La Boite Bleue was where we gathered in those days.  The wine there
<> was cheap, the tables were large and they kept a complete set of
<> language manuals behind the bar.
<> 
<> As I entered I heard Henri's measured accents above the din.
<> 
<> "...that complexity is not the salient characteristic of exemplary
<> style."
<> 
<> Toulouse-Lautrec was seated at a table spread with greenbar.
<> Manet, redfaced, loomed over him.
<> 
<> "Damm your recursion, Henri.  Iteration, however complex, is always
<> more efficient."
<> 
<> Manet stormed away from the table in the direction of the bar.  He
<> always seemed angry at that time.  Partly because his refusal to
<> write in anything but FORTRAN isolated him from the rest of the
<> Avant-Guarde, partly because people kept confusing him with Monet.
<> 
<> Henri motioned to me to join him at the table.
<> 
<> "Have you heard from Vincent recently?"
<> 
<> We were all concerned about Van Gogh.  Only a few days before he
<> had completed an order in sorting routine that required no
<> additional memory.
<>  
<> Unfortunately, because he had written it in C and refused, on
<> principle, to comment his code, no one had understood a line of it.
<> He had not taken it well.
<> 
<> "No.  Why?", I replied.
<> 
<> "He and Gaugin had a violent argument last night over whether a
<> side effect should be considered output and he hasn't been seen
<> since.  I fear he may have done something ...  rash."
<> 
<> We were suddenly interrupted by the waitress's terrified scream.  I
<> turned in time to see something fall from the open envelope she
<> held in her hand.  Stooping to retrieve it, I was seized by a wave
<> of revulsion as I recognized that the object in my hand, bestially
<> torn from its accustomed place, was the mouse from Van Gogh's
<> workstation.  The waitress, who had fainted, lay in an unnoticed
<> heap beside me.
<> 
<> By the evening, the incident had become the talk of Paris.
-- 
Gilad Ben-Yossef <[email-masked]> 
http://kagoor.com | +972(9)9565333 x230 | +972(54)756701
"I've been seduced by the chocolate side of the force."